#include "fxlib.h"
#include "stdio.h"
#include <math.h>

int MiniGame3();

extern MinGame[20];
extern Gris;

extern const unsigned char Bowser[];

int MiniGame3()
{
	const unsigned char MarioChat1[]={0x0, 0x18, 0xc0, 0x0, 0x0, 0x17, 0xc0, 0x0, 0x0, 0x12, 0x20, 0x0, 0x0, 0x30, 0x20, 0x0, 0x0, 0x53, 0xf8, 0x1, 0x0, 0x4f, 0xfc, 0x3, 0x0, 0x9c, 0x30, 0x0, 0x0, 0xf8, 0xa0, 0x0, 0x0, 0x98, 0xb8, 0x1, 0x0, 0x9c, 0x4, 0x2, 0x0, 0x89, 0x4, 0x2, 0x0, 0x43, 0x88, 0x1, 0x0, 0x30, 0xf0, 0x0, 0x0, 0x1c, 0x20, 0x0, 0x0, 0x33, 0xc0, 0x0, 0x0, 0x60, 0xa0, 0x0, 0x0, 0x60, 0x70, 0x0, 0x0, 0xf0, 0x48, 0x0, 0x3, 0xfc, 0x84, 0x1, 0xc, 0x7f, 0x84, 0x1, 0x18, 0x7e, 0x4c, 0x1, 0x30, 0xff, 0xf8, 0x1, 0x61, 0xff, 0xf8, 0x0, 0x42, 0x7f, 0xf0, 0x0, 0x44, 0x3f, 0xe0, 0x0, 0x64, 0x20, 0x80, 0x0, 0x38, 0x20, 0x40, 0x0, 0x0, 0x3f, 0xc0, 0x0, 0xff, 0xff, 0xff, 0xff};
	const unsigned char MarioChat2_1[]={0x0, 0x18, 0xc0, 0x0, 0x0, 0x1f, 0xc0, 0x0, 0x0, 0x1f, 0xe0, 0x0, 0x0, 0x3f, 0xe0, 0x0, 0x0, 0x7f, 0xf8, 0x1, 0x0, 0x7f, 0xfc, 0x3, 0x0, 0xfc, 0x30, 0x0, 0x0, 0xf8, 0xa0, 0x0, 0x0, 0x98, 0xb8, 0x1, 0x0, 0x9c, 0x4, 0x2, 0x0, 0x89, 0x4, 0x2, 0x0, 0x43, 0x88, 0x1, 0x0, 0x30, 0xf0, 0x0, 0x0, 0x1c, 0x20, 0x0, 0x0, 0x3f, 0xc0, 0x0, 0x0, 0x7f, 0xe0, 0x0, 0x0, 0x7f, 0xf0, 0x0, 0x0, 0xff, 0xc8, 0x0, 0x3, 0xff, 0x84, 0x1, 0xc, 0xff, 0x84, 0x1, 0x1a, 0x7f, 0xcc, 0x1, 0x39, 0xff, 0xf8, 0x1, 0x6d, 0xff, 0xf8, 0x0, 0x52, 0x7f, 0xf0, 0x0, 0x4c, 0x3f, 0xe0, 0x0, 0x64, 0x20, 0x80, 0x0, 0x38, 0x20, 0x40, 0x0, 0x0, 0x3f, 0xc0, 0x0, 0xff, 0xff, 0xff, 0xff};
	
	int Score=0;
	char key=78;
	char NbChampi=0;
	char NbCara=0;
	int Timing=1600;
	char VarA;
	char VarB;
	char Time;
	
	Info("Bataille dans la neige","Aide Mario  preparer des","munitions et chasse Bowser.","Touches :","F1 : Bowser","F6 : Mario");
	while(Timing>0)
	{
		switch(Rand(2))
		{
			case 0: key=79; break; //F1
			case 1: key=29; break; //F2
		}
		while(!key_down(79) & !key_down(29))
		{
			setFps(2);
			if(key_down(47)){while(key_down(47)); return;}
			FenetreJeu(Score,NbChampi,NbCara);
			switch(key)
			{
			case 29: if(Gris){ML_bmp_or(MarioChat1,18,24,29,28);}else{ML_bmp_or(MarioChat2_1,18,24,29,28);} break;
			case 79: ML_rectangle(3,3,61,60,0,0,1); ML_bmp_and(Bowser,8,12,48,39); break;	
			}
			PrintMini(5,5,"Temps :     s.",0);
			Time=Timing/64;
			Time=floor(Time);
			PrintVariable(Time,40,5);
			Timing--;
			if(!Timing){break;}
			ML_display_vram();
		}
		if(key_down(key))
		{
			Score++;
			VarA++;
			VarB++;
			if(VarA==5)
			{
				//NbCara++;
				VarA=0;
			}
			if(VarB==40)
			{
				//NbChampi++;
				VarB=0;
			}
		}
		else
		{
			if(Timing)
			{
				NbChampi=0;
				Score+=-5;
				VarB=0;
			}
		}
		while(key_down(29) || key_down(79));
	}
	
	if(Score<0){Score=0;}
	NoShift();
	FinJeu(Score,3,NbChampi,NbCara);
}